/* *********************************************************************
   | The Q language - A C++ extension for programming quantum machines |
   | Copyright (C) 2000 2001 2002 2003 Stefano Bettelli                |
   | <bettelli@irsamc.ups-tlse.fr>                                     |
   | See the COPYING and LICENSE files for license terms.              |
   ********************************************************************* */
#ifndef __QUANTUM_COMPUTING_MAIN_HEADER_
#define __QUANTUM_COMPUTING_MAIN_HEADER_

/* *********************************************************************
   | This include file is only for sake of simplicity. It sets up the  |
   | quantum computing language base and its primitives. The standard  |
   | (?) library is supplied in a different include.                   |
   |                                                                   |
   | Stefano Bettelli, INFN and Trento University, 16 Nov 2000         |
   ********************************************************************* */
#include <qexception.h>          // a class for "quantum" exceptions
#include <qinterface_base.h>     // a class for interfacing to quantum devices
#include <qregister.h>           // a class for register handling
#include <qoperator.h>           // a class for generic operators
#include <qprimitives.h>         // classes for quantum primitives

#endif  // __QUANTUM_COMPUTING_MAIN_HEADER_
//;;; Local Variables: ***
//;;; mode:C++ ***
//;;; End: ***
